Bug 1317432 - Setting message of receive task throws exception
Setting message of receive task throws exception
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
6.3.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Kris Verlaenen
Jozef Marko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-14 05:06 EDT by Jozef Marko
Modified: 2018-01-30 07:40 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jozef Marko 2016-03-14 05:06:33 EDT
Description of problem:
User can set 'Message' for 'Receive task'. But If this 'Message' is set before 'Operation' is set, exception is thrown.

Version-Release number of selected component (if applicable):
JBDSIS 8.0.6.CR1, JBTIS 4.2.6.CR1
BPMN2 Modeler 1.1.5.Final-v20160226-1727-B1298

Steps to Reproduce:
1. Create new process
2. Define new message in process definitions
3. Add receive task to process
4. Set implementation of receive task: unspecified
5. Set message of receive task: message from step 2.

Actual results:
See error log. There will be logged exception. Properties view of receive tasks will stop to work correctly.

Expected results:
There will be no error in error log. Properties view of receive tasks will still work correctly.


Additional info:
This issue is not reproducible if user set between step 4. and 5. also operation for receive task.
Comment 1 Robert (Bob) Brodt 2016-03-23 10:05:21 EDT
Fixed in BPMN2 Modeler versions for
Luna: 1.1.6.CR1-v20160318-1403-B1303
Mars: 1.2.4.CR1-v20160318-1302-B107
Neon: 1.3.0.Beta1-v20160318-1302-B41
Comment 2 Jozef Marko 2016-04-05 09:26:17 EDT
Verified on:
jbtis-4.3.0.CR1
BPMN2 Modeler - 1.2.4.Final-v20160330-1625-B110

Note You need to log in before you can comment on or make changes to this bug.